@keyframes slideIn {
    from { transform: translateX(100%); }
    to { transform: translateX(0); }
}

@keyframes slideOut {
    from { transform: translateX(0); }
    to { transform: translateX(100%); }
}

.cart-open {
    animation: slideIn 0.3s ease-out forwards;
}

.cart-close {
    animation: slideOut 0.3s ease-in forwards;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.animate-fade-in {
    animation: fadeIn 0.4s ease-out forwards;
}

.thumb-scroll::-webkit-scrollbar {
    height: 4px;
}

.thumb-scroll::-webkit-scrollbar-thumb {
    background: #9333ea;
    border-radius: 10px;
}

.circ {
    background-color: white;
    padding: 0.5em 0.75em;
}

.circ:not(:disabled):hover {
    background-color: #dadada;
}

.overlay {
  position: fixed;
  inset: 0;
  background-color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

.spinner {
    border: 12px solid #dadada;
    border-top: 12px solid #3b82f6;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    animation: spin 0.8s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@media (max-width: 980px) {
    .disappear {
        display: none !important;
    }

    .max-w-xl {
        max-width: 100rem !important;
    }
}
